package siprp.database.cayenne.objects;

import siprp.database.cayenne.objects.auto._HsLegislacaoEstabelecimento;

public class HsLegislacaoEstabelecimento extends _HsLegislacaoEstabelecimento {

	private static final long serialVersionUID = 1L;
	
	@Override
	public void save() throws Exception
	{
		Estabelecimentos estabelecimento = getToHsEstabelecimento();
		if( estabelecimento != null )
		{
			Integer maxOrder = 0;
			for( HsLegislacaoEstabelecimento rel : estabelecimento.getHsLegislacaoEstabelecimentoArray() )
			{
				Integer currentOrder = rel.getOrdem();
				if( currentOrder != null )
				{
					maxOrder = Math.max( currentOrder, maxOrder );
				}
			}
			this.setOrdem( maxOrder + 1 );
		}
		super.save();
	}

}
